exports.Logger = class Logger {
    constructor() {
        this.dateM = "";
        this.ping = "";
        this.filepath = "";
        this.content = "Logged with Log Pro";
    }
    showDate(bool, opts = {}) {
        if (bool == true) {
            const date = new Date();
            if (!opts.militaryTime) {
                this.dateM = `Current Time: ${date.getHours() - 12}:${date.getMinutes()}:${date.getSeconds()}.${date.getMilliseconds()}`;
            } else {
                if (opts.militaryTime == true) {
                    this.dateM = `Current Time: ${date.getHours()}:${date.getMinutes()}:${date.getSeconds()}.${date.getMilliseconds()}`;
                }
            }
        }
        return this;
    }
    showPing(bool) {
        if (bool == true) {
            const date1 = new Date();
            console.log("Pinging...")
            const date2 = new Date();
            this.ping = `${date2.getMilliseconds() - date1.getMilliseconds()}ms`;
        }
        return this;
    }
    setContent(content) {
        this.content = content;
        return this;
    }
    getFilepath(bool) {
        if (bool == true) {
            this.filepath = `${__dirname}`;
        }
        return this;
    }
    log() {
        console.log(`${this.dateM}\n${this.ping}\n${this.filepath}\n${this.content}`);
        return this;
    }
} 